Bug 1314995 - (pidgin-indicator) Review Request: pidgin-indicator - StatusNotifierItem tray icon plugin for Pidgin
Review Request: pidgin-indicator - StatusNotifierItem tray icon plugin for Pi...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Raphael Groner
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2016-03-05 09:16 EST by Rex Dieter
Modified: 2016-03-23 20:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-03-12 06:49:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
projects.rg: fedora‑review+

Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2016-03-05 09:16:43 EST
Spec URL: https://rdieter.fedorapeople.org/rpms/pidgin-indicator/pidgin-indicator.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/pidgin-indicator/pidgin-indicator-0.9-1.fc23.src.rpm
This plugin provides an Ubuntu Indicator icon, for use in the Unity desktop
environment. Unity no longer provides a general purpose notification tray,
so the standard Pidgin tray icon does not appear. The official Ubuntu
alternative is an integration with their Messaging indicator, which
consolidates status from multiple applications. I've found this indicator to
be much less usable than the original Pidgin tray icon, so I decided to
build this plugin to restore the icon's functionality in a maintainable
way (in contrast to having to run a patched version of Unity).

Fedora Account System Username: rdieter
Comment 1 Raphael Groner 2016-03-05 09:20:33 EST
Taken. :)
Comment 2 Rex Dieter 2016-03-05 09:26:14 EST
updated description:
This plugin provides a StatusNotifierItem tray icon, for use in
KDE Plasma 5, Unity, Elementary and other environments.

It provides all the same functionality as the original tray icon
but not in exactly the same way:
* The smart click behavior that either shows the buddy list or
unread messages is now activated by a middle-click because
left click on an libappindicator always opens the menu.
* As the SNI-icon is a separate process from pidgin itself, there
are sometimes conflicts with Focus Stealing Prevention when you
use the indicator to go to unread messages. You may need to
disable FSP for Pidgin to get around this.
* Due to how libappindicator work, the middle-click action must
also be a menu item, so it's the new Show/Hide item at the top
of the menu.
* Due to libappindicator limitations, some of the special icons
cannot be shown next to menu items any more.
Comment 3 Upstream Release Monitoring 2016-03-05 09:30:57 EST
rdieter's scratch build of pidgin-indicator-0.9-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13238800
Comment 4 Rex Dieter 2016-03-05 09:31:49 EST
Fresh one,

(with updated summary/description)
Comment 5 Upstream Release Monitoring 2016-03-05 09:42:37 EST
rdieter's scratch build of pidgin-indicator-0.9-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13238948
Comment 6 Raphael Groner 2016-03-05 11:56:31 EST
Failed to find any blockers. APPROVED

Package Review

[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

===== MUST items =====

[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[?]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
=> I guess that should be OK due to pidgin loads that lib.

[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "GPL (v2 or later)", "Unknown or
     generated". 9 files have unknown license. Detailed output of
     licensecheck in /home/builder/fedora-review/1314995-pidgin-
=> Compiled sources have GPLv2+, okay.

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[-]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
=> You could use %{url}, %make_build and %{name} (suggestion, no must).

[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in pidgin-indicator
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in pidgin-
=> debuginfo is automatically generated, okay?

[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
=> Known bug with duplicated debuginfo packages.

[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.

Installation errors
INFO: mock.py version 1.2.15 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Mock Version: 1.2.15
INFO: Mock Version: 1.2.15
Finish: chroot init
INFO: installing package(s): /home/builder/fedora-review/1314995-pidgin-indicator/results/pidgin-indicator-0.9-1.fc25.x86_64.rpm /home/builder/fedora-review/1314995-pidgin-indicator/results/pidgin-indicator-debuginfo-0.9-1.fc25.x86_64.rpm /home/builder/fedora-review/1314995-pidgin-indicator/results/pidgin-indicator-debuginfo-0.9-1.fc25.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 25 --disableplugin=local --setopt=deltarpm=false install /home/builder/fedora-review/1314995-pidgin-indicator/results/pidgin-indicator-0.9-1.fc25.x86_64.rpm /home/builder/fedora-review/1314995-pidgin-indicator/results/pidgin-indicator-debuginfo-0.9-1.fc25.x86_64.rpm /home/builder/fedora-review/1314995-pidgin-indicator/results/pidgin-indicator-debuginfo-0.9-1.fc25.x86_64.rpm --setopt=tsflags=nocontexts
WARNING: unable to delete selinux filesystems (/tmp/mock-selinux-plugin.iizgaxqh): [Errno 1] Operation not permitted: '/tmp/mock-selinux-plugin.iizgaxqh'

Checking: pidgin-indicator-0.9-1.fc25.x86_64.rpm
pidgin-indicator.x86_64: W: spelling-error %description -l en_US libappindicator -> applicator
pidgin-indicator.src: W: spelling-error %description -l en_US libappindicator -> applicator
pidgin-indicator.src: W: strange-permission pidgin-indicator.spec 600
pidgin-indicator.src:8: W: mixed-use-of-spaces-and-tabs (spaces: line 8, tab: line 2)
pidgin-indicator.src: W: invalid-url Source0: https://github.com/philipl/pidgin-indicator/releases/download/0.9/pidgin-indicator-0.9.tar.bz2 HTTP Error 403: Forbidden
3 packages and 0 specfiles checked; 0 errors, 5 warnings.

pidgin-indicator-debuginfo (rpmlib, GLIBC filtered):

pidgin-indicator (rpmlib, GLIBC filtered):



Unversioned so-files
pidgin-indicator: /usr/lib64/pidgin/indicator.so

Source checksums
https://github.com/philipl/pidgin-indicator/releases/download/0.9/pidgin-indicator-0.9.tar.bz2 :
  CHECKSUM(SHA256) this package     : a604f7a5bc96306df2bc1977ee5a49e648a364294ffc7c44f64c00cf4ccee8c3
  CHECKSUM(SHA256) upstream package : a604f7a5bc96306df2bc1977ee5a49e648a364294ffc7c44f64c00cf4ccee8c3

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1314995
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Comment 7 Gwyn Ciesla 2016-03-05 14:29:18 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/pidgin-indicator
Comment 8 Fedora Update System 2016-03-06 22:41:58 EST
pidgin-indicator-0.9-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0827c8907d
Comment 9 Fedora Update System 2016-03-06 22:44:42 EST
pidgin-indicator-0.9-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-51a4de5f33
Comment 10 Raphael Groner 2016-03-07 05:20:31 EST
For interested users, upstream discussion with some useful links for more information:
Comment 11 Fedora Update System 2016-03-09 16:25:03 EST
pidgin-indicator-0.9-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-51a4de5f33
Comment 12 Fedora Update System 2016-03-09 17:57:44 EST
pidgin-indicator-0.9-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0827c8907d
Comment 13 Fedora Update System 2016-03-12 06:49:49 EST
pidgin-indicator-0.9-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-03-23 20:02:31 EDT
pidgin-indicator-0.9-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.